## indi-avalon 1.12+20220128183230

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi-avalon C CXX)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

find_package(INDI COMPONENTS driver lx200 REQUIRED)
find_package(Nova REQUIRED)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${INDI_INCLUDE_DIR})
include_directories(${NOVA_INCLUDE_DIR})

include(CMakeCommon)

set(AVALON_VERSION_MAJOR 1)
set(AVALON_VERSION_MINOR 11)

set(INDI_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/indi")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_avalon.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_avalon.xml )

IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 6.3.9)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wformat-overflow=2")
ENDIF ()

########### LX200 StarGO ###########
SET(lx200stargo_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/lx200stargofocuser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/lx200stargo.cpp
    )

add_executable(indi_lx200stargo ${lx200stargo_SRCS})
target_link_libraries(indi_lx200stargo ${INDI_LIBRARIES} ${NOVA_LIBRARIES})

install(TARGETS indi_lx200stargo RUNTIME DESTINATION bin )

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_avalon.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-avalon (1.12+20220128183230-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 28 Jan 2022 18:58:35 +0000

indi-avalon (1.12-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 16 Dec 2021 17:16:10 +0100

indi-avalon (1.12-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 Dec 2021 18:16:10 +0000

## indi-avalon 1.12+20220610102819

=== debian/changelog ===
indi-avalon (1.12+20220610102819-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 Jun 2022 10:28:31 +0000

## indi-avalon 1.12+20221223132122

=== debian/changelog ===
indi-avalon (1.12+20221223132122-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113012)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:19:58 +0200

indi-avalon (1.12+20221223132122-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.12

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Dec 2022 13:22:37 +0000

=== debian/control ===
Source: indi-avalon
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
	, libgsl-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-avalon
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-avalon.git

Package: indi-avalon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Avalon Instruments mounts
 This package contains the INDI driver for Avalon Instruments mounts
 with StarGO control.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
